public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: kde-apps/dolphin-plugins-mercurial/
Date: Thu, 13 Dec 2018 22:24:09 +0000 (UTC)	[thread overview]
Message-ID: <1544739838.4185b6f294aa2d6ad89a70908840a3a4f852ad0c.asturm@gentoo> (raw)

commit:     4185b6f294aa2d6ad89a70908840a3a4f852ad0c
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 13 19:58:57 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Dec 13 22:23:58 2018 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=4185b6f2

kde-apps/dolphin-plugins-mercurial: New package

Split from kde-apps/dolphin-plugins.

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 .../dolphin-plugins-mercurial-18.12.49.9999.ebuild | 53 ++++++++++++++++++++++
 .../dolphin-plugins-mercurial-9999.ebuild          | 53 ++++++++++++++++++++++
 kde-apps/dolphin-plugins-mercurial/metadata.xml    |  8 ++++
 3 files changed, 114 insertions(+)

diff --git a/kde-apps/dolphin-plugins-mercurial/dolphin-plugins-mercurial-18.12.49.9999.ebuild b/kde-apps/dolphin-plugins-mercurial/dolphin-plugins-mercurial-18.12.49.9999.ebuild
new file mode 100644
index 0000000000..64f74e66ff
--- /dev/null
+++ b/kde-apps/dolphin-plugins-mercurial/dolphin-plugins-mercurial-18.12.49.9999.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KMNAME="dolphin-plugins"
+KDE_HANDBOOK="false"
+MY_PLUGIN_NAME="hg"
+inherit kde5
+
+DESCRIPTION="Dolphin plugin for Mercurial integration"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="
+	$(add_frameworks_dep kcompletion)
+	$(add_frameworks_dep kconfig)
+	$(add_frameworks_dep kcoreaddons)
+	$(add_frameworks_dep ki18n)
+	$(add_frameworks_dep kio)
+	$(add_frameworks_dep kservice)
+	$(add_frameworks_dep ktexteditor)
+	$(add_frameworks_dep ktextwidgets)
+	$(add_frameworks_dep kwidgetsaddons)
+	$(add_kdeapps_dep dolphin)
+	$(add_qt_dep qtgui)
+	$(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+	!kde-apps/dolphin-plugins:5
+"
+
+src_prepare() {
+	kde5_src_prepare
+	# kxmlgui, qtnetwork only required by dropbox
+	punt_bogus_dep Qt5 Network
+	punt_bogus_dep KF5 XmlGui
+	# delete non-${PN} translations
+	if [[ ${KDE_BUILD_TYPE} = release ]]; then
+		find po -type f -name "*po" -and -not -name "*${MY_PLUGIN_NAME}plugin" -delete || die
+	fi
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_${MY_PLUGIN_NAME}=ON
+		-DBUILD_bazaar=OFF
+		-DBUILD_dropbox=OFF
+		-DBUILD_git=OFF
+		-DBUILD_svn=OFF
+	)
+	kde5_src_configure
+}

diff --git a/kde-apps/dolphin-plugins-mercurial/dolphin-plugins-mercurial-9999.ebuild b/kde-apps/dolphin-plugins-mercurial/dolphin-plugins-mercurial-9999.ebuild
new file mode 100644
index 0000000000..64f74e66ff
--- /dev/null
+++ b/kde-apps/dolphin-plugins-mercurial/dolphin-plugins-mercurial-9999.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KMNAME="dolphin-plugins"
+KDE_HANDBOOK="false"
+MY_PLUGIN_NAME="hg"
+inherit kde5
+
+DESCRIPTION="Dolphin plugin for Mercurial integration"
+KEYWORDS=""
+IUSE=""
+
+DEPEND="
+	$(add_frameworks_dep kcompletion)
+	$(add_frameworks_dep kconfig)
+	$(add_frameworks_dep kcoreaddons)
+	$(add_frameworks_dep ki18n)
+	$(add_frameworks_dep kio)
+	$(add_frameworks_dep kservice)
+	$(add_frameworks_dep ktexteditor)
+	$(add_frameworks_dep ktextwidgets)
+	$(add_frameworks_dep kwidgetsaddons)
+	$(add_kdeapps_dep dolphin)
+	$(add_qt_dep qtgui)
+	$(add_qt_dep qtwidgets)
+"
+RDEPEND="${DEPEND}
+	!kde-apps/dolphin-plugins:5
+"
+
+src_prepare() {
+	kde5_src_prepare
+	# kxmlgui, qtnetwork only required by dropbox
+	punt_bogus_dep Qt5 Network
+	punt_bogus_dep KF5 XmlGui
+	# delete non-${PN} translations
+	if [[ ${KDE_BUILD_TYPE} = release ]]; then
+		find po -type f -name "*po" -and -not -name "*${MY_PLUGIN_NAME}plugin" -delete || die
+	fi
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_${MY_PLUGIN_NAME}=ON
+		-DBUILD_bazaar=OFF
+		-DBUILD_dropbox=OFF
+		-DBUILD_git=OFF
+		-DBUILD_svn=OFF
+	)
+	kde5_src_configure
+}

diff --git a/kde-apps/dolphin-plugins-mercurial/metadata.xml b/kde-apps/dolphin-plugins-mercurial/metadata.xml
new file mode 100644
index 0000000000..2fdbf33d96
--- /dev/null
+++ b/kde-apps/dolphin-plugins-mercurial/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="project">
+		<email>kde@gentoo.org</email>
+		<name>Gentoo KDE Project</name>
+	</maintainer>
+</pkgmetadata>


             reply	other threads:[~2018-12-13 22:24 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-12-13 22:24 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2018-12-19 14:04 [gentoo-commits] proj/kde:master commit in: kde-apps/dolphin-plugins-mercurial/ Andreas Sturmlechner
2021-02-01 23:45 Andreas Sturmlechner
2022-10-16 11:42 Andreas Sturmlechner
2024-01-07 18:46 Andreas Sturmlechner
2024-02-26  0:28 Sam James
2024-03-21 15:39 Andreas Sturmlechner
2024-08-12 14:23 Andreas Sturmlechner
2024-08-21 21:47 Andreas Sturmlechner

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1544739838.4185b6f294aa2d6ad89a70908840a3a4f852ad0c.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox